{% extends "customers/base.html" %}
{% load staticfiles %}
{% load widget_tweaks %}
{% load humanize %}
{% load price_tag %}
{% load check_group %}

{% block title %}Editar documento manual {% endblock %}

{% block pagelevelcss %}
  <link href="{% static 'assets/plugins/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/bootstrap-datepicker/dist/css/bootstrap-datepicker3.min.css' %}" rel="stylesheet" />
{% endblock %}


{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
    <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
    <li class="breadcrumb-item">{%if customer %} <a href="{{ object.customer.get_absolute_url }}billing/">Boletas</a> {%else%} <a href="../../../invoices-no-identificados/">Boletas</a> {%endif%}</li>
    <li class="breadcrumb-item active">Editar Boleta</li>
  </ol>
  <!-- end breadcrumb -->
  
  
  <!-- begin page-header -->
  <h1 class="page-header">Boleta <small>editar</small></h1>
  <!-- end page-header -->
  
  {%if can_show_detail %}
 <!-- begin row -->
 <div class="row">
		<!-- begin col-12 -->
		<div class="col-xl-12 ui-sortable">
		  <!-- begin panel -->
		  <div class="panel panel-inverse" data-sortable-id="ui-general-1">
			<!-- begin panel-heading -->
			<div class="panel-heading ui-sortable-handle">
			  <h4 class="panel-title">Editando información de la boleta</h4>
			  <div class="panel-heading-btn">
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
			  </div>
			</div>
			<!-- end panel-heading -->
			<!-- begin panel-body -->
			<div class="panel-body">
	<form class="form-horizontal" method="post" enctype="multipart/form-data">
	  {% csrf_token %}
	  {% if request.user|has_group:"Head Finanzas" or request.user|has_group:"Coordinador de facturación"  or request.user|has_group:"Operador de finanzas"  %} 

		<div class="form-group row m-b-15" {%if customer %} hidden {%else%} {%ifequal object.kind_load 3%} hidden {%endifequal%} {%endif%}>
			<label class="col-md-3">Buscar cliente: </label>
			<div class="col-sm-9 ">
			<i id="search-icon" class="fas fa-search"></i>
			<input id="user-input" placeholder="Search" class="col-sm-9" style="padding: 7px .75rem; line-height: 1.5; color: #2d353c; background-color: #fff; background-clip: padding-box; border: 1px solid #d5dbe0;
			border-radius: 4px; transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;">
		</div>
		  </div>

		<div class="form-group row m-b-15" {%if customer %} hidden {%endif%}>
			<label for="{{ form.customer.auto_id }}" class="col-form-label col-md-3">Cliente</label>
			<div class="col-sm-9">
					<select name="customer" class="form-control m-b-5" id="id_customer">
							{%if customer %}
							<option value="{{customer.id}}" selected>{{customer}}</option>
							{%endif%}
							<option value="">---------</option>
							{%for i in customers %}
							<option value="{{i.id}}">{{i}}</option>
							{%endfor%}
							</select>

				{% for error in form.customer.errors %}
				<small class="f-s-12 text-danger">{{ error }}</small>
				{% endfor %}
			</div>
		</div>

		{%if customer%}
		{%else%}
		<div class="form-group row m-b-15"  {%if customer %} hidden {%endif%}>
			<label for="{{ form.service.auto_id }}" class="col-form-label col-md-3">Servicio</label>
			<div class="col-sm-9">
						<select name="service" class="form-control m-b-5" id="id_service"  multiple="multiple">
								
								</select>
								
			  {% for error in form.service.errors %}
			  <small class="f-s-12 text-danger">{{ error }}</small>
			  {% endfor %}
			</div>
		</div>
		{%endif%}
		<div class="form-group row m-b-15">
			<label for="{{ form.comment.auto_id }}" class="col-form-label col-md-3">Comentario</label>
			<div class="col-sm-9">
				{% render_field form.comment class="form-control m-b-5" %}
	
				{% for error in form.comment.errors %}
				<small class="f-s-12 text-danger">{{ error }}</small>
				{% endfor %}
			</div>
		</div>
		
		<div class="form-group row m-b-15">
			<label for="{{ form.operator.auto_id }}" class="col-form-label col-md-3">Operador</label>
			<div class="col-sm-9">
				<select name="operator" class="form-control"  required id="id_operator">
					{%if if_todos %}
					{% if object %} <option value="{{ object.operator.id}}" selected>{{ object.operator.name}}</option>{% endif %}
					{%for b in operadores %}
					<option value="{{b.id}}">{{b.name}}</option>
					{%endfor%}
					{% else%}
					{%for b in operadores %}
					<option value="{{current_operator}}">{{current_operator_name}}</option>
					{%endfor%}
					{%endif%}
					</select>
			</div>
		</div>
		<div class="form-group row m-b-15">
			<label for="{{ form.currency.auto_id }}" class="col-form-label col-md-3">Moneda</label>
			<div class="col-sm-9">
				<select name="currency" class="form-control"  required id="id_currency">
					{% if object.currency %} <option value="{{ object.currency.id}}" selected>{{ object.currency.name}}</option>{% endif %}
					{%for b in monedas %}
					<option value="{{b.id}}">{{b.name}}</option>
					{%endfor%}
					</select>
					{% for error in form.currency.errors %}
					<small class="f-s-12 text-danger">{{ error }}</small>
					{% endfor %}
			</div>
		</div>
		<div class="form-group row m-b-15">
			<label for="{{ form.tasa.auto_id }}" class="col-form-label col-md-3">Tasa conversión </label>
			<div class="col-sm-9">
				{% render_field form.tasa class="form-control m-b-5" %}
	
				{% for error in form.tasa.errors %}
				<small class="f-s-12 text-danger">{{ error }}</small>
				{% endfor %}
			</div>
		</div>
		{%if customer %}
		<div class="form-group row m-b-15">
			<label for="{{ form.service.auto_id }}" class="col-form-label col-md-3">Servicio</label>
			<div class="col-sm-9">
						<select name="service" class="form-control m-b-5" id="id_service" multiple="multiple">
								{%for j in service_act %}
								<option value="{{j.id}}" selected>{{j}}</option>
								{%endfor%}
								{%for i in service %}
								<option value="{{i.id}}">{{i}}</option>
								{%endfor%}
								</select>
								
			  {% for error in form.service.errors %}
			  <small class="f-s-12 text-danger">{{ error }}</small>
			  {% endfor %}
			</div>
		</div>

		<div class="form-group row m-b-15">
			<label for="{{ form.payment.auto_id }}" class="col-form-label col-md-3">Pagos asociados</label>
			<div class="col-sm-9">
						<select name="payment" class="form-control m-b-5" id="id_payment" multiple="multiple">
								{%for j in actual_payment %}
								<option value="{{j.id}}" selected>{{j.comment}}  {{j.created_at}} - {{j.amount | price_tag}}</option>
								{%endfor%}
								{%for i in pagos %}
								<option value="{{i.id}}">{{i.comment}} {{i.created_at}} - {{i.amount | price_tag}} </option>
								{%endfor%}
								</select>
								
			  {% for error in form.payment.errors %}
			  <small class="f-s-12 text-danger">{{ error }}</small>
			  {% endfor %}
			</div>
		</div>
		{%endif%}
		{%endif%}
		<div class="form-group row m-b-15">
			<label for="{{ form.pdf_date.auto_id }}" class="col-form-label col-md-3">Fecha para PDF (Mes/Año)</label>
			<div class="col-sm-9">
			 {% render_field form.pdf_date class="form-control m-b-5 datepicker" %}
	
				{% for error in form.pdf_date.errors %}
				<small class="f-s-12 text-danger">{{ error }}</small>
				{% endfor %}
			</div>
		</div>
	  <input type="submit" value="Actualizar" class="btn btn-primary">
	  <a href="{{ cancel_url }}" class="btn btn-default">Cancelar</a>
	</form>
</div>
<!-- end panel-body -->
</div>
<!-- end panel -->
</div>
<!-- end col-12 -->
</div>
<!-- end row -->
{%else%}
<div class="alert alert-success"  style="background-color: rgb(245, 156, 26); text-align: center;" role="alert">
	<h4 class="alert-heading">No encontrado</h4>
	<hr>
	<h5 class="mb-0">Cambie de operador o vuelva al listado de boletas.</h5>
</div>
{% endif %}
<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->
{% endblock %}



{% block pageleveljs %}
<script src="{% static 'assets/plugins/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js' %}"></script>
<script>

	$(document).ready(function(){
		$(".datepicker").datepicker({format: 'dd/mm/yyyy'});
	$("#id_pdf_date").val($("#id_pdf_date").val().replace(' 00:00:00',''));
	$("#id_pdf_date").val($("#id_pdf_date").val().replace(' 21:00:00',''));

		function change_service(){
			customer_id = document.getElementById("id_customer").value;
			{% if form.service.value %}
				var service = {{form.service.value}};
			{% else %}
				var service = null
			{% endif %}
			$.get("{% url 'manual_new_ajax_client' %}", {customer: customer_id}, function(json_response) {
				var service = json_response.data['service']
				$("#id_service").empty()
			$("#id_service").append(option);
				for (var i = 0; i < service.length; i++){

						if (service && service[i].id == service){
			var option = $('<option></option>').attr("value", service[i].id).text(service[i].number + " - " +service[i].plan_name + " - " +service[i].plan_price).attr('selected', 'selected');
						}
						else{
				var option = $('<option></option>').attr("value", service[i].id).text(service[i].number + " - " +service[i].plan_name + " - " +service[i].plan_price);
			}
					$("#id_service").append(option);
				}

			});
		}

		function change_user(){
			search = document.getElementById("user-input").value;
			{% if form.customer.value %}
				var customer = {{form.customer.value}};
			{% else %}
				var customer = null
			{% endif %}
			$.get("{% url 'ajax_user' %}", {search: search}, function(json_response) {
				var customer = json_response
				$("#id_customer").empty()
				var option = $('<option></option>').attr("value", "").text(customer.length + " registros encontrados").attr('selected', 'selected');
			$("#id_customer").append(option);
				for (var i = 0; i < customer.length; i++){

						if (customer && customer[i].id == customer){
			var option = $('<option></option>').attr("value", customer[i].id).text(customer[i].first_name + ' ' + customer[i].last_name).attr('selected', 'selected');
						}
						else{
				var option = $('<option></option>').attr("value", customer[i].id).text(customer[i].first_name + ' ' + customer[i].last_name);
			}
					$("#id_customer").append(option);
				}

			});
		}

		function change_account(){
			operator_id = document.getElementById("id_operator").value;
			};
		change_account();
		$('#id_operator').on('change',function(){
			change_account();
		})
		
		$('#user-input').on('change',function(){
			change_user();
			change_service();
		})

		$('#id_customer').on('change',function(){
			change_service();
		});
		$(".form-horizontal").on("submit", function(){
		var nf = $("#id_pdf_date").val()
		nf = nf.replace(' 00:00:00','')
		nf = nf.split('/')
		if (nf.length==3){
            var nfvalue = nf[2] + "-" + nf[1] + "-" + nf[0];
            $("#id_pdf_date").val(nfvalue);
        }else{
            $("#id_paid_on").val(nf);
        }
		return true;
	});
	});
</script>
{% endblock %}

